LinkexLinkex Docs
API ReferenceGeneratedX402

Resume a pending x402 order

POST
/api/user/topup/x402/orders/{id}/resume

Re-issues a fresh challenge for a pending order (e.g. after a client crash).

AuthorizationBearer <token>

Linkex API key (sk-...), including agent keys. Session cookie auth is also accepted on /api/user/* routes.

In: header

Path Parameters

id*integer

Response Body

application/json

curl -X POST "https://example.com/api/user/topup/x402/orders/0/resume"
{  "success": true,  "data": {    "order_id": 0,    "status": "pending",    "expires_at": 0,    "amount_usd": 0,    "challenge": {      "x402Version": 2,      "accepts": [        {          "scheme": "exact",          "network": "string",          "amount": "string",          "maxAmountRequired": "string",          "resource": "string",          "payTo": "string",          "maxTimeoutSeconds": 0,          "asset": "string",          "extra": {}        }      ]    }  }}